function name = polname(taxAdj)
% -----------------------------------------------------
% TASK: Return name of policy variable specified by taxAdj
% IN:   taxAdj; takes on one of the global values
% OUT:  string; policy name
% -----------------------------------------------------

    global twAdjustsG tkAdjustsG DYAdjustsG TrYAdjustsG GYAdjustsG
    global tcAdjustsG toAdjustsG
    
    if taxAdj == twAdjustsG
        name = 'tw';
    elseif taxAdj == tkAdjustsG
        name = 'tk';
    elseif taxAdj == tcAdjustsG
        name = 'tc';
    elseif taxAdj == toAdjustsG
        name = 'to';
    elseif taxAdj == DYAdjustsG
        name = 'DY';
    elseif taxAdj == GYAdjustsG
        name = 'GY';
    elseif taxAdj == TrYAdjustsG
        name = 'TrY';
    else
        abort('Invalid taxAdj')        
    end

