function savecal(calibNo)
% Save current parameters as calibration calibNo
% ---------------------------------------
% IN:
%   calibration number; default: calNo

% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

% *** GLOBALS ***

    global calNo
    if nargin < 1
        calibNo = calNo;
    end

    disp(' ')
    disp([ 'SaveCal: Saving calibration ', int2str(calibNo) ]);
    parasave(calibNo);
    calNo = calibNo;



% *** end function ***
