function [tw,tk,TrY,GY,tc,to,DY,sx,ts,RR,taxb,sxx,twx] = taxvec(taxv, dbg);
% -------------------------------------------------------------
% TASK:
%   break up vectors tax0, tax9, taxE into individual tax rates
% IN:
%   tax0, tax9, or taxE
%   Note that a ROW must contain a policy. Transpose if necessary.
% -------------------------------------------------------------

% Use this line to paste into code:
%  [tw0,tk0,TrY0,GY0,tc0,to0,DY0,sx0,ts0,RR0,taxb0,sxx0,twx0] = taxvec(tax0);

   if nargin < 2
      dbg = 1;
   end

    if dbg > 5
        if size(taxv,1) ~= 13
            disp(taxv')
            abort('TaxVec: Invalid no. of rows.')
        end
    end

    tw     = taxv(1,:);
    tk     = taxv(2,:);
    TrY    = taxv(3,:);
    GY     = taxv(4,:);
    tc     = taxv(5,:);
    to     = taxv(6,:);
    DY     = taxv(7,:);
    sx     = taxv(8,:);
    ts     = taxv(9,:);
    RR     = taxv(10,:);
    taxb   = taxv(11,:);
    sxx    = taxv(12,:);
    twx    = taxv(13,:);

% *** end function ***
