function util = ulife(c, l, bb);
% TASK: Compute lifetime utility
% -----------------------------------------------------------
% IN:
%   c, l:   vectors of c and l by age
%   bb:     beta

% AUTHOR: Lutz Hendricks, 1993
% -----------------------------------------------------------

%    T = length(c);
    util = seqm(bb, bb, length(c)) * ufct(c, l)';
    
    if 0
        % *********  SHOW UTILITIES  **********
        T = length(c);
        u = ufct(c,l);
        usum = 0;
        disp('age     bb      u   bb*u    sum');
        for i = 1 : T
            bbi = bb^i;
            udisc = bbi * u(i);
            usum = usum + udisc;
            tmp = sprintf('%3i %6.3f %6.2f %6.2f %6.2f', i, bb^i, ...
                u(i), udisc, usum);
            disp(tmp)
        end
    end
