function ltaxRev = ltax(wGr, L, X, tw, xDeduct,xEarn)
% ktax: Labor income tax revenue
% ---------------------------------------
% TASK:
%   Labor income tax revenue; X tax deductable
% IN:
%   wGr = wage rate before tax (!)
%   L   = labor supply
%   X   = aggregate spending on education
%   tw  = tax rate (flat)
% OUT:
%   tax revenue

% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------


    ltaxRev = tw .* (L.*wGr - X.*(xEarn + (1-xEarn).*xDeduct));


% *** end function ***

