function vNew = vstretch(v, idx, newLen);
% TASK:  Stretch a vector by inserting element idx until length newLen reached.
% IN:
%   v       old vector
%   idx     element to be replicated
%   newLen  new length
% **************************************************************

    vlen = length(v);
    vNew = [ v(1:idx), v(idx).*ones(1,newLen - vlen), v(idx+1:vlen) ];
    
    if 0
        plot( 1:newLen, [ [v,v(vlen).*ones(1,newLen-vlen)]; vNew ] );
        title('VStretch: Old and new');
        xlabel(['idx = ', int2str(idx) ]);
        pause;
        close;
    end
